ALTER TABLE AKUZ.T_VACCINE_LIBRARY ALTER COLUMN "isthisvaccine" 
TYPE boolean 
using (
    case
        when "isthisvaccine" IN ('1', 'true', 't', 'yes', 'y', 'да', 'Да', 'Д', 'д') then true 
        else false 
    end
);